Package org.apache.storm.perf.utils

# Enum Class BasicMetricsCollector.MetricsItem

java.lang.Object
java.lang.Enum<BasicMetricsCollector.MetricsItem>
org.apache.storm.perf.utils.BasicMetricsCollector.MetricsItem

All Implemented Interfaces:
  `Serializable`, `Comparable<BasicMetricsCollector.MetricsItem>`, `Constable`

Enclosing class:
  BasicMetricsCollector

public static enum BasicMetricsCollector.MetricsItem extends Enum<BasicMetricsCollector.MetricsItem>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `SPOUT_LATENCY`
  `SPOUT_THROUGHPUT`
  `TOPOLOGY_STATS`
  `XSFER_RATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BasicMetricsCollector.MetricsItem`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BasicMetricsCollector.MetricsItem[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOPOLOGY_STATS

    public static final BasicMetricsCollector.MetricsItem TOPOLOGY_STATS

  - ### XSFER_RATE

    public static final BasicMetricsCollector.MetricsItem XSFER_RATE

  - ### SPOUT_THROUGHPUT

    public static final BasicMetricsCollector.MetricsItem SPOUT_THROUGHPUT

  - ### SPOUT_LATENCY

    public static final BasicMetricsCollector.MetricsItem SPOUT_LATENCY

  - ### ALL

    public static final BasicMetricsCollector.MetricsItem ALL

- ## Method Details

  - ### values

    public static BasicMetricsCollector.MetricsItem[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BasicMetricsCollector.MetricsItem valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null